.top{
    overflow: hidden;
    width: 100%;
    position: absolute;
    top: 0;
    height: 97vh;
    background-color: #EAE2B7;
}

main {
    height: 82vh;
    width: 100%;
    margin: 15vh auto;
    margin-bottom: 0;
    display: grid;
    grid-template-columns: 55% 45%;
    grid-template-rows: 100%;
    align-items: center;
    justify-items: center;
}

.model {
    height: 90%;
    width: 100%;
    display: grid;
    grid-column: 1;
    grid-template-columns: 100%;
    grid-template-rows: 100%;
    place-items: center;
    position: relative;
}

.model > * {
    grid-area: 1 / 1;
}

.model img {
    height: 100%;
}

.diagonal{
    height: 140%;
    background-color: #F77F00;
    width: 45%;
    position: absolute;
    top: 0;
    right: 0;
    box-shadow: -5px 0 8px rgba(0, 0, 0, 0.559);
    z-index: 15;
    /* transform: rotate(5deg) translate(5rem); */
}

.options{ 
    position: relative;
    height: 85%;
    grid-column: 2;
    justify-self: start;
    background-color: rgb(255, 255, 255);
    border: 7px solid brown;
    margin-top: 1rem;
    border-radius: 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 8;
    width: 80%;
    padding: 1rem;
    padding-left: 0;
    margin: 1rem auto;
    box-sizing: border-box;

}

.scroll{
    overflow-y: auto; 
    box-sizing: border-box;
    width: 100%;
    padding: 1rem;
    display: none;
}

.scroll.enabled{
    display: block;
}
.circles{
    background: radial-gradient(circle at top left,transparent 9%, #7a2020 10% ,#7a2020 15% , transparent 16%) , radial-gradient(circle at bottom left,transparent 9%, #7a2020 10% ,#7a2020 15% , transparent 16%), radial-gradient(circle at top right ,transparent 9%, #7a2020 10% ,#7a2020 15% , transparent 16%) , radial-gradient(circle at bottom right,transparent 9%, #7a2020 10% ,#7a2020 15% , transparent 16%),radial-gradient(circle, transparent 25%, #715050  26%),linear-gradient(45deg, transparent 46%, #7a2020 47%, #7a2020 52%, transparent 53%), linear-gradient(135deg, transparent 46%, #7a2020 47%, #7a2020 52%, transparent 53%);
    background-size: 5em 5em;
    mask-image: linear-gradient(to left, rgba(0, 0, 0, 0.359) , transparent 50%);
    height: 100%;
    width: 100%;
    background-color: #6c4f4f;
    opacity: 1;
    z-index:16;
    position: absolute;
    top: 0;
    right: 0;
}


button{
    background-color: rgb(131, 31, 31);
    box-shadow: 0px 3px 0px rgb(103, 63, 42);
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: 700;
    font-size: 1.5rem;
    width: calc(100% - 4rem);
    height: 3vh;
    text-align: left;
    overflow-y: auto; 
    margin: 0.5rem auto;
    overflow-y: hidden; 
    transition: background-color 0.2s ease;
}


button:hover{
    background-color: orange;
    color: rgb(0, 0, 0);
}

.options p{
    font-size: 1rem;
}

.examples div{
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease;
}

.scroll div {

}

.calculator div{
    height: fit-content;
}
.text-block li{
    list-style-type: none;
}

.text-block p {
    font-size: 1.4rem;
}
.example div{
    overflow: hidden;
}

.text-block ul{
    padding-left: 0;
}

.active div {
    max-height: 1000px;
}

button{
    border: none;
    padding-left: 1.5rem;
    margin-left: 0;
}
.shadow{
    display: block;
    position: absolute;
    top: 10.5vh;
    width: 55%;
    height: 13rem;
    background: linear-gradient(to left,  rgb(74, 5, 3)0%, #a1170dd3 50%);
    z-index: 7;
}

.standard{
    box-sizing: content-box;
    height: 50vh;
    width: 100%;
    padding-top: 5rem;
    padding-bottom: 5rem;
    display: flex;
    justify-content: space-evenly;
}

.item{
    flex: 0 1 18vw;
    border-radius: 2rem;
    height: 100%;
    background-color: orange;
}

.break{
    background-color: orange;
    width: 100%;
    height: 15rem;
    display: none;

}
.grad{
    background: linear-gradient(to left, rgba(164, 70, 26, 0.677), transparent);
    width: 50%;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
}
.shadow h3{
    background-color: rgba(255, 255, 255, 0);
    color: white;
    border-radius: 2rem;
    padding: 1rem;
    font-size: 2.5rem;
    width: 65%;
    z-index: 20;
    text-align: right;
    justify-self: end;
}

h2{
    color: brown;
    padding-top: 1rem;
    padding-bottom: 1rem;
}
label {
    display: inline-block;
    margin: 10px 0; 
    vertical-align: middle; 
}

hr{
    margin-top: 1rem;
    background-color: brown;
    height: 5px;
    border-radius: 5px;
    border: none;
}

input[type="number"],
input[type="range"] {
    scroll-margin-top: 0; 
}

.range-pair {
    display: flex;        
    align-items: center;    
    gap: 12px;             
    margin: 15px 0;   
    width: 100%;
    padding-left: 0;
    margin-left: 0;
}

.range-pair input[type="range"] {
    flex: 1;              
}

.range-pair input[type="number"] {
    width: 50px;        
}
.label-block {
    display: block;      /* forces everything inside to take full width */
    margin-bottom: 15px; /* spacing between form items */
}
.title-bar{
    display: none;
}

.head-options{
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease;
}

.head-options.active{
    max-height: 500px;
}

form{
    background-color: white;
    border-radius: 1rem;
    color: rgb(0, 0, 0);
}

.title{
    color: white;
    position: absolute;
    line-height: 0.9;
    z-index: 15;
    top: 12vh;
    left: 3rem;
}



.sleeves div{
    margin-left: 0;
    padding-left: 0;
    width: 100%;
}
.sleeves, .head-options{
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease;
    padding-left: 0;
}
.sleeves.active{
    max-height: 500px;
}

.cost{
    color: white;
    position: absolute;
    line-height: 0.9;
    height: fit-content;
    width: 15rem;
    z-index: 15;
    top: 17vh;
    right: 48%;

}

.cost h2{
    border-radius: 2rem;
    color: rgb(248, 239, 213);
    font-size: 5rem;
    font-family: "alphabet-soup-pro", sans-serif;
    text-shadow: 4px 4px 3px rgba(37, 13, 2, 0.534);
    text-align: right;
        color: rgb(248, 239, 213);
        font-size: 5rem;
        font-family: "alphabet-soup-pro", sans-serif;
        text-shadow: 4px 4px 3px rgba(37, 13, 2, 0.534);
        text-align: center;
}

.title h1{
    font-size: clamp(4rem, 5vw, 7rem);
}

.tabs{
    top: 0;
    transform: translateY(-98%);
        width: 100%;
    display: flex;
    box-sizing: border-box;
    padding: 0 2rem;
        left: 0;

    position: absolute;
}

.tabs button{
    box-shadow: none;
    overflow: hidden;
    background-color: brown;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    flex: 1;
}

button.enabled{
    background-color: orange;
}


@media screen and (max-width: 60rem){
    main{
        display: flex;
        flex-direction: column;
        height: fit-content;
        padding-top: 35vh;
        padding-bottom: 5rem;
        margin-top: 0;
        background-color: #EAE2B7;
    }

    .options{
        padding-right: 0;
    }
    .title{
        top: 15.5vh;
    }

    .top{
        background-color: none;
    }
    .diagonal{
        width: 100%;
        display: none;
    }
    .circles{
        display: none;
    }

    .grad{
        display: none;
    }

    .shadow{
        width: 100%;
        z-index: 55;
    }

    .title{
        width: 100%;
        left: 0;
    }

    .title h1{
        text-align: center;
        font-size:  3rem;
    }

    .tabs{
        transform: translateY(-90%);
    }

    .options{
        width: 100%;
        border-radius: 0;
        border:none;
        height: fit-content;
    }

    .model{
        height: 0;
    }

    
    .cost{
        position: fixed;
        top: 85%;
        right: 5%;
    }

    .cost h2{
        border-radius: 2rem;
        background-color: brown;
        color: rgb(248, 239, 213);
        font-size: 5rem;
        font-family: "alphabet-soup-pro", sans-serif;
        text-shadow: 4px 4px 3px rgba(37, 13, 2, 0.534);
        text-align: center;
    }
}
    